Draft Wire/sv

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 0% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Draft Wire

Menyplacering
Draft → Wire
Arbetsbänk(ar)
Draft, Arch
Standard genväg
W I
Introducerad i version
-
Se även
Draft Line, Draft BSpline


Beskrivning

Detta verktyg ber användaren om flera punkter och ritar en tråd (linje som är gjord av flera segment, eller polyline) mellan dem. Den skapade tråden kommer att ha nuvarande färg och linjebredd. Punkterna kan väljas med musen i 3d vyn eller genom att mata in koordinater med tangentbordet.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Draft Polyline example.jpg

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Nedtryckning av CTRL+Z eller klickning på "Undo" knappen kommer att ångra den sista punkten.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade tråden kommer att ha nuvarande linjestil.
  • Om man dubbelklickar när den sista punkten anges, så kommer tråden att stängas och avslutas.
  • Nedtryckning av F eller högerklicksmeny > draft > Finish eller klicka på "Finish" knappen kommer också att avsluta tråden och lämna den öppen.
  • CTRL-klickning (snäppning) på den första punkten kommer att avsluta och stänga tråden
  • Nedtryckning av C eller högerklicksmeny > draft > Close eller klicka på "Close" knappen kommer också att avsluta och stänga tråden.
  • Stängning/öppning av tråden kan också göras via dess egenskaper
  • Om tråden är stängd, så kan den visas som en yta eller en trådram, genom att ändra dess visningsläge
  • En öppen tråd kan ha en dimensionssymbol visad vid dess ändpunkt, så att den kan användas som en måttsättningslinje

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Options

  • Press A or the Draft FinishLine.png Finish button to finish the wire, leaving it open.
  • Press O or the Draft CloseLine.png Close button to close the wire, that is, a segment will be added from the last point to the first one to form a face. At least three points are required to form a face.
  • Press W or the Draft Wipe.svg Wipe button to remove the line segments already placed, but keep editing the wire from the last point.
  • Press U or the Draft SelectPlane.svg Set WP button to adjust the current working plane in the orientation of the last point.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the next point are relative to the last one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Wire tool will restart after you finish the wire, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, a closed wire will create a filled face (DATAMake Face True); if not, the closed wire will not make a face (DATAMake Face False).
Note: the wire should not be filled if it intersects itself, as it won't create a proper face. If the wire is filled but no shape is visible, manually set DATAMake Face to False to see the wire.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press Ctrl+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press Esc or the Close button to abort the current command; line segments already placed will remain.

Properties

A Wire object shares all properties from a Draft Line, however, most properties only make sense for a Wire.

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist.
    • Each point in the list is defined by its FreeCAD.Vector, with units in millimeters.
    • Alternatively, the input can be a Part.Wire, from which points are extracted.
  • If closed is True, or if the first and last points are identical, the wire is closed.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg